Index: /branches/feature-module-update/data/class/pages/admin/basis/LC_Page_Admin_Basis_Payment.php
===================================================================
--- /branches/feature-module-update/data/class/pages/admin/basis/LC_Page_Admin_Basis_Payment.php	(revision 15532)
+++ /branches/feature-module-update/data/class/pages/admin/basis/LC_Page_Admin_Basis_Payment.php	(revision 16582)
@@ -1,7 +1,23 @@
 <?php
 /*
+ * This file is part of EC-CUBE
+ *
  * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
  *
  * http://www.lockon.co.jp/
+ *
+ * This program is free software; you can redistribute it and/or
+ * modify it under the terms of the GNU General Public License
+ * as published by the Free Software Foundation; either version 2
+ * of the License, or (at your option) any later version.
+ *
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
  */
 
Index: /branches/feature-module-update/data/class/pages/admin/basis/LC_Page_Admin_Basis.php
===================================================================
--- /branches/feature-module-update/data/class/pages/admin/basis/LC_Page_Admin_Basis.php	(revision 16566)
+++ /branches/feature-module-update/data/class/pages/admin/basis/LC_Page_Admin_Basis.php	(revision 16582)
@@ -1,7 +1,23 @@
 <?php
 /*
+ * This file is part of EC-CUBE
+ *
  * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
  *
  * http://www.lockon.co.jp/
+ *
+ * This program is free software; you can redistribute it and/or
+ * modify it under the terms of the GNU General Public License
+ * as published by the Free Software Foundation; either version 2
+ * of the License, or (at your option) any later version.
+ *
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
  */
 
Index: /branches/feature-module-update/data/class/pages/admin/basis/LC_Page_Admin_Basis_Control.php
===================================================================
--- /branches/feature-module-update/data/class/pages/admin/basis/LC_Page_Admin_Basis_Control.php	(revision 15532)
+++ /branches/feature-module-update/data/class/pages/admin/basis/LC_Page_Admin_Basis_Control.php	(revision 16582)
@@ -1,7 +1,23 @@
 <?php
 /*
+ * This file is part of EC-CUBE
+ *
  * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
  *
  * http://www.lockon.co.jp/
+ *
+ * This program is free software; you can redistribute it and/or
+ * modify it under the terms of the GNU General Public License
+ * as published by the Free Software Foundation; either version 2
+ * of the License, or (at your option) any later version.
+ *
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
  */
 
Index: /branches/feature-module-update/data/class/pages/admin/basis/LC_Page_Admin_Basis_Parameter.php
===================================================================
--- /branches/feature-module-update/data/class/pages/admin/basis/LC_Page_Admin_Basis_Parameter.php	(revision 16567)
+++ /branches/feature-module-update/data/class/pages/admin/basis/LC_Page_Admin_Basis_Parameter.php	(revision 16582)
@@ -1,7 +1,23 @@
 <?php
 /*
+ * This file is part of EC-CUBE
+ *
  * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
  *
  * http://www.lockon.co.jp/
+ *
+ * This program is free software; you can redistribute it and/or
+ * modify it under the terms of the GNU General Public License
+ * as published by the Free Software Foundation; either version 2
+ * of the License, or (at your option) any later version.
+ *
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
  */
 
Index: /branches/feature-module-update/data/class/pages/admin/basis/LC_Page_Admin_Basis_Delivery_Input.php
===================================================================
--- /branches/feature-module-update/data/class/pages/admin/basis/LC_Page_Admin_Basis_Delivery_Input.php	(revision 15532)
+++ /branches/feature-module-update/data/class/pages/admin/basis/LC_Page_Admin_Basis_Delivery_Input.php	(revision 16582)
@@ -1,7 +1,23 @@
 <?php
 /*
+ * This file is part of EC-CUBE
+ *
  * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
  *
  * http://www.lockon.co.jp/
+ *
+ * This program is free software; you can redistribute it and/or
+ * modify it under the terms of the GNU General Public License
+ * as published by the Free Software Foundation; either version 2
+ * of the License, or (at your option) any later version.
+ *
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
  */
 
Index: /branches/feature-module-update/data/class/pages/admin/basis/LC_Page_Admin_Basis_Mail.php
===================================================================
--- /branches/feature-module-update/data/class/pages/admin/basis/LC_Page_Admin_Basis_Mail.php	(revision 15532)
+++ /branches/feature-module-update/data/class/pages/admin/basis/LC_Page_Admin_Basis_Mail.php	(revision 16582)
@@ -1,7 +1,23 @@
 <?php
 /*
+ * This file is part of EC-CUBE
+ *
  * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
  *
  * http://www.lockon.co.jp/
+ *
+ * This program is free software; you can redistribute it and/or
+ * modify it under the terms of the GNU General Public License
+ * as published by the Free Software Foundation; either version 2
+ * of the License, or (at your option) any later version.
+ *
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
  */
 
Index: /branches/feature-module-update/data/class/pages/admin/basis/LC_Page_Admin_Basis_Delivery.php
===================================================================
--- /branches/feature-module-update/data/class/pages/admin/basis/LC_Page_Admin_Basis_Delivery.php	(revision 15532)
+++ /branches/feature-module-update/data/class/pages/admin/basis/LC_Page_Admin_Basis_Delivery.php	(revision 16582)
@@ -1,7 +1,23 @@
 <?php
 /*
+ * This file is part of EC-CUBE
+ *
  * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
  *
  * http://www.lockon.co.jp/
+ *
+ * This program is free software; you can redistribute it and/or
+ * modify it under the terms of the GNU General Public License
+ * as published by the Free Software Foundation; either version 2
+ * of the License, or (at your option) any later version.
+ *
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
  */
 
Index: /branches/feature-module-update/data/class/pages/admin/basis/LC_Page_Admin_Basis_Tradelaw.php
===================================================================
--- /branches/feature-module-update/data/class/pages/admin/basis/LC_Page_Admin_Basis_Tradelaw.php	(revision 15532)
+++ /branches/feature-module-update/data/class/pages/admin/basis/LC_Page_Admin_Basis_Tradelaw.php	(revision 16582)
@@ -1,7 +1,23 @@
 <?php
 /*
+ * This file is part of EC-CUBE
+ *
  * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
  *
  * http://www.lockon.co.jp/
+ *
+ * This program is free software; you can redistribute it and/or
+ * modify it under the terms of the GNU General Public License
+ * as published by the Free Software Foundation; either version 2
+ * of the License, or (at your option) any later version.
+ *
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
  */
 
Index: /branches/feature-module-update/data/class/pages/admin/basis/LC_Page_Admin_Basis_Masterdata.php
===================================================================
--- /branches/feature-module-update/data/class/pages/admin/basis/LC_Page_Admin_Basis_Masterdata.php	(revision 16568)
+++ /branches/feature-module-update/data/class/pages/admin/basis/LC_Page_Admin_Basis_Masterdata.php	(revision 16582)
@@ -1,7 +1,23 @@
 <?php
 /*
+ * This file is part of EC-CUBE
+ *
  * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
  *
  * http://www.lockon.co.jp/
+ *
+ * This program is free software; you can redistribute it and/or
+ * modify it under the terms of the GNU General Public License
+ * as published by the Free Software Foundation; either version 2
+ * of the License, or (at your option) any later version.
+ *
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
  */
 
Index: /branches/feature-module-update/data/class/pages/admin/customer/LC_Page_Admin_Customer_Edit.php
===================================================================
--- /branches/feature-module-update/data/class/pages/admin/customer/LC_Page_Admin_Customer_Edit.php	(revision 16400)
+++ /branches/feature-module-update/data/class/pages/admin/customer/LC_Page_Admin_Customer_Edit.php	(revision 16582)
@@ -1,7 +1,23 @@
 <?php
 /*
+ * This file is part of EC-CUBE
+ *
  * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
  *
  * http://www.lockon.co.jp/
+ *
+ * This program is free software; you can redistribute it and/or
+ * modify it under the terms of the GNU General Public License
+ * as published by the Free Software Foundation; either version 2
+ * of the License, or (at your option) any later version.
+ *
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
  */
 
Index: /branches/feature-module-update/data/class/pages/admin/customer/LC_Page_Admin_Customer.php
===================================================================
--- /branches/feature-module-update/data/class/pages/admin/customer/LC_Page_Admin_Customer.php	(revision 16581)
+++ /branches/feature-module-update/data/class/pages/admin/customer/LC_Page_Admin_Customer.php	(revision 16582)
@@ -1,7 +1,23 @@
 <?php
 /*
+ * This file is part of EC-CUBE
+ *
  * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
  *
  * http://www.lockon.co.jp/
+ *
+ * This program is free software; you can redistribute it and/or
+ * modify it under the terms of the GNU General Public License
+ * as published by the Free Software Foundation; either version 2
+ * of the License, or (at your option) any later version.
+ *
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
  */
 
Index: /branches/feature-module-update/data/class/pages/admin/mail/LC_Page_Admin_Mail_Template.php
===================================================================
--- /branches/feature-module-update/data/class/pages/admin/mail/LC_Page_Admin_Mail_Template.php	(revision 15648)
+++ /branches/feature-module-update/data/class/pages/admin/mail/LC_Page_Admin_Mail_Template.php	(revision 16582)
@@ -1,7 +1,23 @@
 <?php
 /*
+ * This file is part of EC-CUBE
+ *
  * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
  *
  * http://www.lockon.co.jp/
+ *
+ * This program is free software; you can redistribute it and/or
+ * modify it under the terms of the GNU General Public License
+ * as published by the Free Software Foundation; either version 2
+ * of the License, or (at your option) any later version.
+ *
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
  */
 
Index: /branches/feature-module-update/data/class/pages/admin/mail/LC_Page_Admin_Mail_TemplateInput.php
===================================================================
--- /branches/feature-module-update/data/class/pages/admin/mail/LC_Page_Admin_Mail_TemplateInput.php	(revision 15649)
+++ /branches/feature-module-update/data/class/pages/admin/mail/LC_Page_Admin_Mail_TemplateInput.php	(revision 16582)
@@ -1,7 +1,23 @@
 <?php
 /*
+ * This file is part of EC-CUBE
+ *
  * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
  *
  * http://www.lockon.co.jp/
+ *
+ * This program is free software; you can redistribute it and/or
+ * modify it under the terms of the GNU General Public License
+ * as published by the Free Software Foundation; either version 2
+ * of the License, or (at your option) any later version.
+ *
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
  */
 
Index: /branches/feature-module-update/data/class/pages/admin/mail/LC_Page_Admin_Mail_Sendmail.php
===================================================================
--- /branches/feature-module-update/data/class/pages/admin/mail/LC_Page_Admin_Mail_Sendmail.php	(revision 16330)
+++ /branches/feature-module-update/data/class/pages/admin/mail/LC_Page_Admin_Mail_Sendmail.php	(revision 16582)
@@ -1,7 +1,23 @@
 <?php
 /*
+ * This file is part of EC-CUBE
+ *
  * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
  *
  * http://www.lockon.co.jp/
+ *
+ * This program is free software; you can redistribute it and/or
+ * modify it under the terms of the GNU General Public License
+ * as published by the Free Software Foundation; either version 2
+ * of the License, or (at your option) any later version.
+ *
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
  */
 
@@ -11,7 +27,7 @@
 // SC_SendMailの拡張
 if(file_exists(MODULE2_PATH . "module_inc.php")) {
-	require_once(MODULE2_PATH . "module_inc.php");
+    require_once(MODULE2_PATH . "module_inc.php");
 } else {
-	require_once(CLASS_EX_PATH . "SC_SendMail_Ex.php");
+    require_once(CLASS_EX_PATH . "SC_SendMail_Ex.php");
 }
 
@@ -43,125 +59,125 @@
      */
     function process() {
-		$conn = new SC_DbConn();
-		$objSite = new SC_SiteInfo($conn);
-		
-		if(MELMAGA_SEND != true) {
-		    exit;
-		}
-		
-		//リアルタイム配信モードがオンのとき
-		if($_GET['mode'] == 'now') {
-		    //----　未送信データを取得する
-		    $time_data = $conn->getAll( "SELECT send_id FROM dtb_send_history  WHERE complete_count = 0 AND del_flg = 0 AND end_date IS NULL ORDER BY send_id ASC, start_date ASC" );
-		} else {
-		    // postgresql と mysql とでSQLをわける
-		    if (DB_TYPE == "pgsql") {
-		        $sql = "SELECT send_id FROM dtb_send_history  ";
-		        $sql.= "WHERE start_date  BETWEEN current_timestamp + '- 5 minutes' AND current_timestamp + '5 minutes' AND del_flg = 0  AND end_date IS NULL ORDER BY send_id ASC, start_date ASC";
-		    }else if (DB_TYPE == "mysql") {
-		        $sql = "SELECT send_id FROM dtb_send_history  ";
-		        $sql.= "WHERE start_date  BETWEEN date_add(now(),INTERVAL -5 minute) AND date_add(now(),INTERVAL 5 minute) AND del_flg = 0  AND end_date IS NULL ORDER BY send_id ASC, start_date ASC";
-		    }
-		    //----　30分毎にCronが送信時間データ確認
-		    $time_data = $conn->getAll($sql);
-		}
-		
-		//未送信メルマガの数
-		$count = count($time_data);
-		
-		//未送信メルマガがあれば送信処理を続ける。なければ中断する。
-		if( $count > 0 ){
-		    print("start sending <br />\n");
-		} else {
-		    print("not found <br />\n");
-		    exit;
-		}
-		
-		//---- メール送信準備
-		for( $i = 0; $i < $count; $i++ ) {
-			// 送信先リストの取得
-		    $sql = "SELECT * FROM dtb_send_customer WHERE send_id = ? AND (send_flag = 2 OR send_flag IS NULL)";
-		    $list_data[] = $conn->getAll( $sql, array( $time_data[$i]["send_id"] ) );
-			// 送信先データの取得    
-		    $sql = "SELECT * FROM dtb_send_history WHERE send_id = ?";
-		    $mail_data[] = $conn->getAll( $sql, array( $time_data[$i]["send_id"] ) );
-		}
-		
-		//---- 送信結果フラグ用SQL
-		$sql_flag ="UPDATE dtb_send_customer SET send_flag = ? WHERE send_id = ? AND customer_id = ?";
-		$objMail = new SC_SendMail_Ex();
-		
-		//----　メール生成と送信
-		for( $i = 0; $i < $count; $i++ ) {
-		    for( $j = 0; $j < count( $list_data[$i] ); $j ++ ) {
-		        $customerName = "";
-		        $mailBody = "";
-		        $sendFlag = "";
-		
-				//-- 顧客名の変換
-				$name = trim($list_data[$i][$j]["name"]);
-				
-				if ($name == "") {
-					$name = "お客";
-				}
-				
-				$customerName = htmlspecialchars($name);
-				$subjectBody = ereg_replace( "{name}", $customerName , $mail_data[$i][0]["subject"] );
-				$mailBody = ereg_replace( "{name}", $customerName ,  $mail_data[$i][0]["body"] );
-					
-				$objMail->setItem(
-		        								$list_data[$i][$j]["email"]
-		                                       ,$subjectBody
-		                                       ,$mailBody
-		                                       ,$objSite->data["email03"]                  //　送信元メールアドレス
-		                                       ,$objSite->data["company_name"]             //　送信元名
-		                                       ,$objSite->data["email03"]                  //　reply_to
-		                                       ,$objSite->data["email04"]                  //　return_path
-		                                       ,$objSite->data["email04"]                  //　errors_to
-									);                                                            
-		                                                                     
-		        //-- テキストメール配信の場合
-		        if( $mail_data[$i][0]["mail_method"] == 2 ) {
-					$sendResut = $objMail->sendMail();
-				//--  HTMLメール配信の場合
-			    } else {
-					$sendResut = $objMail->sendHtmlMail();
-		        }
-				
-		        //-- 送信完了なら1、失敗なら-1をメール送信結果フラグとしてDBに挿入
-		        if( ! $sendResut ){
-		            $sendFlag = "-1";
-		        } else {
-		            $sendFlag = "1";
-		            
-		            // 完了を 1 増やす
-		            $sql = "UPDATE dtb_send_history SET complete_count = complete_count + 1 WHERE send_id = ?";
-		            $conn->query( $sql, array($mail_data[$i][0]["send_id"]));
-		        }
-		        $conn->query( $sql_flag, array( $sendFlag, $mail_data[$i][0]["send_id"], $list_data[$i][$j]["customer_id"] ) );
-		    }
-		
-		    //--- メール全件送信完了後の処理
-		    $completeSql = "UPDATE dtb_send_history SET end_date = now() WHERE send_id = ?";
-		    $conn->query( $completeSql, array( $time_data[$i]["send_id"] ) );
-			    
-		    //---　送信完了　報告メール
-		    $compSubject =  date("Y年m月d日H時i分" . "  下記メールの配信が完了しました。" );
-		    // 管理者宛に変更
-		    $objMail->setTo($objSite->data["email03"]);
-		    $objMail->setSubject($compSubject);
-		    
-		    //-- テキストメール配信の場合
-		    if( $mail_data[$i][0]["mail_method"] == 2 ) {
-				$sendResut = $objMail->sendMail();
-			//--  HTMLメール配信の場合
-			} else {
-				$sendResut = $objMail->sendHtmlMail();
-		    }
-		}
-	    if ($_GET['mode'] = "now") {
-	        header("Location: " . URL_DIR . "admin/mail/history.php");
-	    }
-	    echo "complete\n";
+        $conn = new SC_DbConn();
+        $objSite = new SC_SiteInfo($conn);
+
+        if(MELMAGA_SEND != true) {
+            exit;
+        }
+
+        //リアルタイム配信モードがオンのとき
+        if($_GET['mode'] == 'now') {
+            //----　未送信データを取得する
+            $time_data = $conn->getAll( "SELECT send_id FROM dtb_send_history  WHERE complete_count = 0 AND del_flg = 0 AND end_date IS NULL ORDER BY send_id ASC, start_date ASC" );
+        } else {
+            // postgresql と mysql とでSQLをわける
+            if (DB_TYPE == "pgsql") {
+                $sql = "SELECT send_id FROM dtb_send_history  ";
+                $sql.= "WHERE start_date  BETWEEN current_timestamp + '- 5 minutes' AND current_timestamp + '5 minutes' AND del_flg = 0  AND end_date IS NULL ORDER BY send_id ASC, start_date ASC";
+            }else if (DB_TYPE == "mysql") {
+                $sql = "SELECT send_id FROM dtb_send_history  ";
+                $sql.= "WHERE start_date  BETWEEN date_add(now(),INTERVAL -5 minute) AND date_add(now(),INTERVAL 5 minute) AND del_flg = 0  AND end_date IS NULL ORDER BY send_id ASC, start_date ASC";
+            }
+            //----　30分毎にCronが送信時間データ確認
+            $time_data = $conn->getAll($sql);
+        }
+
+        //未送信メルマガの数
+        $count = count($time_data);
+
+        //未送信メルマガがあれば送信処理を続ける。なければ中断する。
+        if( $count > 0 ){
+            print("start sending <br />\n");
+        } else {
+            print("not found <br />\n");
+            exit;
+        }
+
+        //---- メール送信準備
+        for( $i = 0; $i < $count; $i++ ) {
+            // 送信先リストの取得
+            $sql = "SELECT * FROM dtb_send_customer WHERE send_id = ? AND (send_flag = 2 OR send_flag IS NULL)";
+            $list_data[] = $conn->getAll( $sql, array( $time_data[$i]["send_id"] ) );
+            // 送信先データの取得
+            $sql = "SELECT * FROM dtb_send_history WHERE send_id = ?";
+            $mail_data[] = $conn->getAll( $sql, array( $time_data[$i]["send_id"] ) );
+        }
+
+        //---- 送信結果フラグ用SQL
+        $sql_flag ="UPDATE dtb_send_customer SET send_flag = ? WHERE send_id = ? AND customer_id = ?";
+        $objMail = new SC_SendMail_Ex();
+
+        //----　メール生成と送信
+        for( $i = 0; $i < $count; $i++ ) {
+            for( $j = 0; $j < count( $list_data[$i] ); $j ++ ) {
+                $customerName = "";
+                $mailBody = "";
+                $sendFlag = "";
+
+                //-- 顧客名の変換
+                $name = trim($list_data[$i][$j]["name"]);
+
+                if ($name == "") {
+                    $name = "お客";
+                }
+
+                $customerName = htmlspecialchars($name);
+                $subjectBody = ereg_replace( "{name}", $customerName , $mail_data[$i][0]["subject"] );
+                $mailBody = ereg_replace( "{name}", $customerName ,  $mail_data[$i][0]["body"] );
+
+                $objMail->setItem(
+                                                $list_data[$i][$j]["email"]
+                                               ,$subjectBody
+                                               ,$mailBody
+                                               ,$objSite->data["email03"]                  //　送信元メールアドレス
+                                               ,$objSite->data["company_name"]             //　送信元名
+                                               ,$objSite->data["email03"]                  //　reply_to
+                                               ,$objSite->data["email04"]                  //　return_path
+                                               ,$objSite->data["email04"]                  //　errors_to
+                                    );
+
+                //-- テキストメール配信の場合
+                if( $mail_data[$i][0]["mail_method"] == 2 ) {
+                    $sendResut = $objMail->sendMail();
+                //--  HTMLメール配信の場合
+                } else {
+                    $sendResut = $objMail->sendHtmlMail();
+                }
+
+                //-- 送信完了なら1、失敗なら-1をメール送信結果フラグとしてDBに挿入
+                if( ! $sendResut ){
+                    $sendFlag = "-1";
+                } else {
+                    $sendFlag = "1";
+
+                    // 完了を 1 増やす
+                    $sql = "UPDATE dtb_send_history SET complete_count = complete_count + 1 WHERE send_id = ?";
+                    $conn->query( $sql, array($mail_data[$i][0]["send_id"]));
+                }
+                $conn->query( $sql_flag, array( $sendFlag, $mail_data[$i][0]["send_id"], $list_data[$i][$j]["customer_id"] ) );
+            }
+
+            //--- メール全件送信完了後の処理
+            $completeSql = "UPDATE dtb_send_history SET end_date = now() WHERE send_id = ?";
+            $conn->query( $completeSql, array( $time_data[$i]["send_id"] ) );
+
+            //---　送信完了　報告メール
+            $compSubject =  date("Y年m月d日H時i分" . "  下記メールの配信が完了しました。" );
+            // 管理者宛に変更
+            $objMail->setTo($objSite->data["email03"]);
+            $objMail->setSubject($compSubject);
+
+            //-- テキストメール配信の場合
+            if( $mail_data[$i][0]["mail_method"] == 2 ) {
+                $sendResut = $objMail->sendMail();
+            //--  HTMLメール配信の場合
+            } else {
+                $sendResut = $objMail->sendHtmlMail();
+            }
+        }
+        if ($_GET['mode'] = "now") {
+            header("Location: " . URL_DIR . "admin/mail/history.php");
+        }
+        echo "complete\n";
     }
 
Index: /branches/feature-module-update/data/class/pages/admin/mail/LC_Page_Admin_Mail.php
===================================================================
--- /branches/feature-module-update/data/class/pages/admin/mail/LC_Page_Admin_Mail.php	(revision 16183)
+++ /branches/feature-module-update/data/class/pages/admin/mail/LC_Page_Admin_Mail.php	(revision 16582)
@@ -1,7 +1,23 @@
 <?php
 /*
+ * This file is part of EC-CUBE
+ *
  * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
  *
  * http://www.lockon.co.jp/
+ *
+ * This program is free software; you can redistribute it and/or
+ * modify it under the terms of the GNU General Public License
+ * as published by the Free Software Foundation; either version 2
+ * of the License, or (at your option) any later version.
+ *
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
  */
 
Index: /branches/feature-module-update/data/class/pages/admin/mail/LC_Page_Admin_Mail_History.php
===================================================================
--- /branches/feature-module-update/data/class/pages/admin/mail/LC_Page_Admin_Mail_History.php	(revision 15653)
+++ /branches/feature-module-update/data/class/pages/admin/mail/LC_Page_Admin_Mail_History.php	(revision 16582)
@@ -1,7 +1,23 @@
 <?php
 /*
+ * This file is part of EC-CUBE
+ *
  * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
  *
  * http://www.lockon.co.jp/
+ *
+ * This program is free software; you can redistribute it and/or
+ * modify it under the terms of the GNU General Public License
+ * as published by the Free Software Foundation; either version 2
+ * of the License, or (at your option) any later version.
+ *
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
  */
 
